Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> FTP >> BlackJumboDog FTP server multiple command overflow


Vulnerability Assessment Details

BlackJumboDog FTP server multiple command overflow

Vulnerability Assessment Summary
Acertains the version of BlackJumboDog

Detailed Explanation for this Vulnerability Assessment

The remote host is running BlackJumboDog FTP server.

This FTP server fails to properly check the length of parameters
in multiple FTP commands, most significant of which is USER,
resulting in a stack overflow.

With a specially crafted request, a possible hacker can execute arbitrary code
resulting in a loss of integrity, and/or availability.

Solution : Upgrade to version 3.6.2 or newer

Network Security Threat Level: High

Networks Security ID: 10834

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 David Maciejak

Cables, Connectors

Universal 12.7 mm SATA 2nd SSD HDD Hard Drive Caddy for DVD-ROM CD Optical Bay
$10.52
Universal 12.7 mm SATA 2nd SSD HDD Hard Drive Caddy for DVD-ROM CD Optical Bay pictureUgreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF
$27.9
Ugreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF pictureUgreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF
$49.9
Ugreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF pictureUgreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF
$27.9
Ugreen M2 SSD Case M.2 USB NVME Enclosure Hard Drive Disk Box for M2 NVME NGFF picture


Discussions

No Discussions have been posted on this vulnerability.